Bug 1879537 - Any product disabled/removed from Red Hat Satellite 6, should automatically disassociate from sync plan
Summary: Any product disabled/removed from Red Hat Satellite 6, should automatically d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.8.0
Hardware: All
OS: All
high
high vote
Target Milestone: 6.9.0
Assignee: Samir Jha
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 13:42 UTC by anerurka
Modified: 2021-10-13 12:05 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1943256 (view as bug list)
Environment:
Last Closed: 2021-04-21 13:17:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31920 0 High New Any product disabled/removed from Red Hat Satellite 6, should automatically disassociate from sync plan 2021-02-18 18:27:21 UTC
Red Hat Knowledge Base (Solution) 4021771 0 None None None 2020-09-16 13:43:31 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:18:02 UTC

Description anerurka 2020-09-16 13:42:59 UTC
Description of problem:

Any product disabled/removed from Red Hat Satellite 6, should automatically disassociate from sync plan

Version-Release number of selected component (if applicable):

All active versions.

How reproducible:
Always

Steps to Reproduce:

1. Enable a repository in Satellite 6 and add the Product in a sync-plan

=====
Ex. Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server x86_64 7Server 

hammer> sync-plan info --organization-id 1 --id 2
ID:                 2
Name:               test
Start Date:         2020/09/02 22:36:00
Interval:           weekly
Enabled:            no
Cron Expression:    
Recurring Logic ID: 5
Description:        
Created at:         2020/09/02 21:36:42
Updated at:         2020/09/02 21:36:42
Products:           
 1) ID:   220
    Name: Red Hat Software Collections for RHEL Server
=====

2. Disable repository [Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server x86_64 7Server ] from Satellite 6. 

Actual results:

- Product is not removed from Syn Plan 

Expected results:

- There should not be any blank product [w/o any repositories] in a sync plan 


Additional info:

As disabled product not removed from sync-plan, sat-maintain fails to enable/disable sync plan, which results in upgrade failure.

Running ForemanMaintain::Scenario
================================================================================
disable active sync plans: 
| disabling sync plans                                                [FAIL]    
Could not update the sync plan:
  Validation failed: Can not add product Red Hat Software Collections (for RHEL Server) because it is disabled.
--------------------------------------------------------------------------------
Scenario [ForemanMaintain::Scenario] failed.

The following steps ended up in failing state:

  [sync-plans-disable]

Resolve the failed steps and rerun
the command. In case the failures are false positives,
use --whitelist="sync-plans-disable"


Workaround

- Whitelist enable/disable sync-plan step while upgrading
- Remove Product w/o repositories from sync-plan [https://access.redhat.com/solutions/4021771]

Comment 2 Samir Jha 2021-02-18 18:27:20 UTC
Created redmine issue http://projects.theforeman.org/issues/31920 from this bug

Comment 3 Bryan Kearney 2021-03-02 04:02:56 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31920 has been resolved.

Comment 11 Stephen Wadeley 2021-03-10 14:18:41 UTC
Hello

this bugzilla only applies to Red Hat Products, not custom products.


Thank you

Comment 14 errata-xmlrpc 2021-04-21 13:17:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.